org.apache.ivy.plugins.conflict

## Class StrictConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ivy.core.resolve.ResolveProcessException
        - - org.apache.ivy.plugins.conflict.StrictConflictException

All Implemented Interfaces:
  java.io.Serializable

    public class StrictConflictException
    extends ResolveProcessException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StrictConflictException()`
`StrictConflictException(IvyNode node1, IvyNode node2)`
`StrictConflictException(java.lang.String msg)`
`StrictConflictException(java.lang.String msg, java.lang.Throwable t)`
`StrictConflictException(java.lang.Throwable t)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StrictConflictException

    public StrictConflictException()

#### StrictConflictException

    public StrictConflictException(IvyNode node1,
                           IvyNode node2)

#### StrictConflictException

    public StrictConflictException(java.lang.String msg)

#### StrictConflictException

    public StrictConflictException(java.lang.Throwable t)

#### StrictConflictException

    public StrictConflictException(java.lang.String msg,
                           java.lang.Throwable t)